Subject: Re: [PATCH] wireless: make WEXT_SPY and WEXT_PRIV select WEXT_CORE

From: Johannes Berg <[email-masked]>
Date: Thu, 08 Oct 2009 11:48:02 +0200

On Wed, 2009-10-07 at 17:12 -0700, Randy Dunlap wrote:

> > > # CONFIG_WIRELESS is not set
> > > CONFIG_WIRELESS_EXT=y
> > > CONFIG_WEXT_SPY=y
> > > CONFIG_WEXT_PRIV=y
> > > 
> > > WEXT_CORE is not enabled.  I haven't found the culprit, but I suspect "select".
> > 
> > Interesting.
> > 
> > > but what in WIRELESS_EXT would also cause WEXT_CORE to be enabled?
> > 
> > Well, the way WEXT_CORE is defined as def_bool y ought to, no?
> 
> Ah, I see what you mean.
> 
> Here's what's happening:
> 
> net/wireless/Kconfig says:
> 
> config WEXT_CORE
> 	def_bool y
> 	depends on CFG80211_WEXT || WIRELESS_EXT
> 
> 
> and net/Kconfig says:
> 
> if WIRELESS
> 
> source "net/wireless/Kconfig"
> source "net/mac80211/Kconfig"
> 
> endif # WIRELESS
> 
> 
> so WEXT_CORE actually depends on NET && WIRELESS && (CFG80211_WEXT || WIRELESS_EXT)
> (that's what xconfig shows me).
> But WIRELESS is not enabled.  Pooh.
> 
> I was already toying with making CONFIG_WIRELESS a real/usable kconfig symbol.
> That may have to be done unless someone else comes up with another solution.

Ah!

It's kinda strange though that you can select wireless drivers without
selecting WIRELESS. Maybe the solution is as simple as making WLAN
(drivers/net/wireless/Kconfig) depend on WIRELESS?

johannes